Package org.apache.uima.flow.impl

# Class CapabilityLanguageFlowObject

java.lang.Object
org.apache.uima.flow.CasFlow_ImplBase
org.apache.uima.flow.impl.CapabilityLanguageFlowObject

All Implemented Interfaces:
  `Cloneable`, `Flow`

public class CapabilityLanguageFlowObject extends CasFlow_ImplBase implements Cloneable
The `CapabilityLanguageAnalysisSequence` is used for a `CapabilityLanguageFlow`. The sequence contains all analysis engines included in the `CapabilityLanguageFlow`. Within this sequence skipping of analysis engines is possible if the document language of the current document does not match to the analysis engine capabilities or the output capabilities are already done by another analysis engine.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CapabilityLanguageFlowObject(Map<String,List<AnalysisSequenceCapabilityNode>> aFlowTable, CapabilityLanguageFlowController aParentController)`
  Create a new CapabilityLangaugeAnalysisSequence with the flowTable

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `clone()`
  Returns a clone of this `AnalysisSequence`.
  `Step`
  `next()`
  Gets the next destination for the CAS.
  `protected void`
  `recompileFlowTable()`
  recompiles all result specs in the flow table with the current type system Actual recompiling is done later when first needed; what happens now is that the type system is set into the result spec, which the compile will need.
  `void`
  `resetIndex()`
  reset index of the sequence to 0

  ### Methods inherited from class org.apache.uima.flow.CasFlow_ImplBase

  `aborted, continueOnFailure, getCas, newCasProduced, newCasProduced, setCas`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CapabilityLanguageFlowObject

    public CapabilityLanguageFlowObject(Map<String,List<AnalysisSequenceCapabilityNode>> aFlowTable, CapabilityLanguageFlowController aParentController)
    Create a new CapabilityLangaugeAnalysisSequence with the flowTable
    Parameters:
      `aFlowTable` - a flow table
      `aParentController` - -

- ## Method Details

  - ### next

    public Step next()
    Description copied from interface: `Flow`
    Gets the next destination for the CAS. This is defined by a `Step` object. There may be different kinds of Step objects to indicate different kinds of routing actions.
    Specified by:
      `next` in interface `Flow`
    Returns:
      the next destination for the CAS

  - ### clone

    public Object clone()
    Returns a clone of this `AnalysisSequence`.
    Overrides:
      `clone` in class `Object`
    Returns:
      a new `AnalysisSequence` object that is an exact clone of this one.

  - ### resetIndex

    public void resetIndex()
    reset index of the sequence to 0

  - ### recompileFlowTable

    protected void recompileFlowTable()
    recompiles all result specs in the flow table with the current type system Actual recompiling is done later when first needed; what happens now is that the type system is set into the result spec, which the compile will need.